﻿function GetPluginSettings()
{
    return {
        "name": "AdSdk",
        "id": "miladesign_AdSdk",
        "version": "2.0",
        "description":	"Show Ad-Sdk Ad",
        "author": "Milad Mohammadi Rezagah",
        "help url": "http://miladesign.ir",
        "category": "MilaDesign Plugins",
        "type": "object",
        "rotatable": false,
        "cordova-plugins": "https://github.com/miladesign/cordova-plugin-adsdk",
        "flags": 0 | pf_singleglobal

    };
};

//////////////////////////////////////
// Conditions
//	AddCondition(0, cf_trigger, "اگر بارگزاری شد", "تمام صفحه", "اگر تبلیغ تمام صفحه بارگزاری شد", "اگر تبلیغ تمام صفحه بارگزاری شد", "onAdLoaded");


//////////////////////////////////////
// Actions
	AddStringParam("Developer Id");
		AddComboParamOption("Disable");
		AddComboParamOption("Enable");
	AddComboParam("Test Mode");
		AddComboParamOption("False");
		AddComboParamOption("True");
	AddComboParam("Ad Enabled");
	AddAction(0, af_none, "Initialize", "adsdk", "Initialize plugin. DeveloperId: {0} | TestMode: {1} | Enabled: {2}", "Initialize Plugin", "initialize");

ACESDone();

//////////////////////////////////////
// Properties
	var property_list = [
	];

// Called by IDE when a new object type is to be created
function CreateIDEObjectType()
{
    return new IDEObjectType();
}

// Class representing an object type in the IDE
function IDEObjectType()
{
    assert2(this instanceof arguments.callee, "Constructor called as a function");
}

// Called by IDE when a new object instance of this type is to be created
IDEObjectType.prototype.CreateInstance = function(instance)
{
    return new IDEInstance(instance);
}

// Class representing an individual instance of an object in the IDE
function IDEInstance(instance, type)
{
    assert2(this instanceof arguments.callee, "Constructor called as a function");

    // Save the constructor parameters
    this.instance = instance;
    this.type = type;

    // Set the default property values from the property table
    this.properties = {};

    for (var i = 0; i < property_list.length; i++)
        this.properties[property_list[i].name] = property_list[i].initial_value;

    // Plugin-specific variables
    // this.myValue = 0...
}

// Called when inserted via Insert Object Dialog for the first time
IDEInstance.prototype.OnInserted = function()
{
}

// Called when double clicked in layout
IDEInstance.prototype.OnDoubleClicked = function()
{
}

// Called after a property has been changed in the properties bar
IDEInstance.prototype.OnPropertyChanged = function(property_name)
{
}

// For rendered objects to load fonts or textures
IDEInstance.prototype.OnRendererInit = function(renderer)
{
}

// Called to draw self in the editor if a layout object
IDEInstance.prototype.Draw = function(renderer)
{
}

// For rendered objects to release fonts or textures
IDEInstance.prototype.OnRendererReleased = function(renderer)
{
}

